Class | Time
In: | lib/rake.rb
Parent: | Object

########################################################################### Extensions to time to allow comparisons with an early time class.

### Methods

<=>

### External Aliases

<=> | -> | rake_original_time_compare

### Public Instance methods

<=>(other)

[Source]

          # File lib/rake.rb, line 1625
    1625:   def <=>(other)
    1626:     if Rake::EarlyTime === other
    1627:       - other.<=>(self)
    1628:     else
    1629:       rake_original_time_compare(other)
    1630:     end
    1631:   end

[Validate]